function NdVal = CG_TriP1_intpln(fxn, TriMesh)
%% CG: TriP1: Interpolating a smooth scalar/vector function at mesh nodes 
% James Liu, ColoState; 2012/07--2017/02 

%% 
NdVal = fxn(TriMesh.node);

return;